EZ_SetupRuler(3)

NAME
EZ_SetupRuler- setup a ruler widget

SYNOPSIS
#include <EZ.h>

void EZ_SetupRuler( EZ_Widget *ruler, int tickUnit.
                    int tickLen, int nscale, int offset);
void EZ_SetRulerOffset( EZ_Widget *ruler, int offset);

ARGUMENTS
ruler Specifies a ruler widget.

offset specifies an offset of the ruler origin. That is, the origin of the ruler window will be treated as -offset units.

tickUnit, tickLen, nscle specifies a set of control parameters. tickUnit is distance between tick marks. If tickUnit is zero, it will be set approximately the equivalent of 1mm in pixels. If tickUnit is negative, it will be set to the equivalent of 1/8 inch in pixels. Otherwise, it is treated as the number of pixels. tickLength is the length of the longest tick marks and nScale represents the value corresponds to 10 tick units.

x,y specifies the pointer coordinates relative to the source window.

DESCRIPTION

These functions set a mark on a ruler widget. A ruler widget has two static marks.

SEE ALSO
EZ_WidgetNotifyRuler(3), EZ_GetRulerMarks(3)